Subscribe to a task

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/user/tasks/{task_id}/subscribe

Subscribe to a task. A subscription sends you a notification for each comment on this task. You must be in the team of the project of the task. If you are already subscribed, the existing subscription is returned.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

Responses

  • 201 application/json

    The new subscription

    Hide response attributes Show response attributes object
    • id string(uuid)

      Subscription unique identifier

    • person_id string(uuid)

      Person identifier

    • task_id string(uuid)

      Task identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You are not in the team of the project, or you use a bot token

  • 404

    The task does not exist

POST /actions/user/tasks/{task_id}/subscribe
curl -X POST "http://api.example.com/actions/user/tasks/a24a6ea4-ce75-4665-a070-57453082c25/subscribe" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/user/tasks/a24a6ea4-ce75-4665-a070-57453082c25/subscribe"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (201)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d360",
  "person_id": "c46c80c6-e097-6887-c292-79675204e470",
  "task_id": "d57d91d7-f108-7998-d403-80786315f580",
  "created_at": "2023-01-01T12:00:00Z",
  "updated_at": "2023-01-01T12:30:00Z"
}